<?php
/**
* @version      2.4.1 20.10.2010
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

defined('_JEXEC') or die('Restricted access');
error_reporting(E_ALL & ~E_NOTICE);

$adminlang = &JFactory::getLanguage();
if(file_exists(JPATH_SITE . '/administrator/components/com_jshopping/lang/' . $adminlang->getTag() . '.php')) {
	require_once (JPATH_SITE . '/administrator/components/com_jshopping/lang/' . $adminlang->getTag() . '.php');
} else {
	require_once (JPATH_SITE . '/administrator/components/com_jshopping/lang/en-GB.php');
}

require_once (JPATH_SITE.'/components/com_jshopping/lib/jtableauto.php');
require_once (JPATH_SITE.'/components/com_jshopping/lib/multilangfield.php');
require_once (JPATH_SITE.'/components/com_jshopping/tables/config.php');
require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php');
require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php');

$params = JComponentHelper::getParams('com_languages');
$frontend_lang = $params->get('site','en-GB');

$query = 'SELECT email FROM #__users  WHERE gid="25" order by id';
$db->setQuery( $query );
$email_admin = $db->loadResult();
        
$db = &JFactory::getDBO();
$config = new jshopConfig($db);
$config->id = 1;
$config->updateAdminMenu();
$config->adminLanguage = $adminlang->getTag();
$config->defaultLanguage = $frontend_lang;
if ($email_admin){
    $config->contact_email = $email_admin;
}
$config->securitykey = md5($email_admin.time().JPATH_SITE);
$config->store();

installNewLanguages("en-GB", 0);

@chmod(JPATH_SITE . '/administrator/images', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files', 0755);

@mkdir(JPATH_SITE . '/components/com_jshopping/files/img_manufs', 0755);
@mkdir(JPATH_SITE . '/components/com_jshopping/files/demo_products', 0755);
@mkdir(JPATH_SITE . '/components/com_jshopping/files/img_attributes', 0755);    
@mkdir(JPATH_SITE . '/components/com_jshopping/files/pdf_orders', 0755);	

@chmod(JPATH_SITE . '/components/com_jshopping/files/img_manufs', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/img_categories', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/img_products', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/video_products', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/files_products', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/importexport', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/importexport/simpleexport', 0755);
@chmod(JPATH_SITE . '/components/com_jshopping/files/importexport/simpleimport', 0755);

copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_categories_b.png', JPATH_SITE . '/administrator/images/jshop_categories_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_configuration_b.png', JPATH_SITE . '/administrator/images/jshop_configuration_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_coupons_b.png', JPATH_SITE . '/administrator/images/jshop_coupons_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_info_b.png', JPATH_SITE . '/administrator/images/jshop_info_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_manufacturer_b.png', JPATH_SITE . '/administrator/images/jshop_manufacturer_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_orders_b.png', JPATH_SITE . '/administrator/images/jshop_orders_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_products_b.png', JPATH_SITE . '/administrator/images/jshop_products_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_users_b.png', JPATH_SITE . '/administrator/images/jshop_users_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_report_b.png', JPATH_SITE . '/administrator/images/jshop_report_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_panel.png', JPATH_SITE . '/administrator/images/jshop_panel.png');

copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_attributes_b.png', JPATH_SITE . '/administrator/images/jshop_attributes_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_country_list_b.png', JPATH_SITE . '/administrator/images/jshop_country_list_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_currencies_b.png', JPATH_SITE . '/administrator/images/jshop_currencies_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_options_b.png', JPATH_SITE . '/administrator/images/jshop_options_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_order_status_b.png', JPATH_SITE . '/administrator/images/jshop_order_status_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_payments_b.png', JPATH_SITE . '/administrator/images/jshop_payments_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_shipping_b.png', JPATH_SITE . '/administrator/images/jshop_shipping_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_shipping_price_b.png', JPATH_SITE . '/administrator/images/jshop_shipping_price_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_taxes_b.png', JPATH_SITE . '/administrator/images/jshop_taxes_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_user_groups_b.png', JPATH_SITE . '/administrator/images/jshop_user_groups_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_reviews_b.png', JPATH_SITE . '/administrator/images/jshop_reviews_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_languages_b.png', JPATH_SITE . '/administrator/images/jshop_languages_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_image_video_b.png', JPATH_SITE . '/administrator/images/jshop_image_video_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_mein_page_b.png', JPATH_SITE . '/administrator/images/jshop_mein_page_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_store_info_b.png', JPATH_SITE . '/administrator/images/jshop_store_info_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_update_b.png', JPATH_SITE . '/administrator/images/jshop_update_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_time_delivery_b.png', JPATH_SITE . '/administrator/images/jshop_time_delivery_b.png');
copy(JPATH_SITE . '/administrator/components/com_jshopping/images/jshop_import_export_b.png', JPATH_SITE . '/administrator/images/jshop_import_export_b.png');

?>